<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Cuentabanco{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$nrocuenta,$idbanco){
	$sql="INSERT INTO bancocuenta (nombre,nrocuenta,condicion,idbanco) 
	VALUES ('$nombre','$nrocuenta','1','$idbanco')";
	return ejecutarConsulta($sql);
}

public function editar($idbancocuenta,$nombre,$nrocuenta,$idbanco){
	$sql="UPDATE bancocuenta SET nombre='$nombre',nrocuenta='$nrocuenta',idbanco='$idbanco' 
	WHERE idbancocuenta='$idbancocuenta'";
	return ejecutarConsulta($sql);
}
public function desactivar($idbancocuenta){
	$sql="UPDATE bancocuenta SET condicion='0' WHERE idbancocuenta='$idbancocuenta'";
	return ejecutarConsulta($sql);
}
public function activar($idbancocuenta){
	$sql="UPDATE bancocuenta SET condicion='1' WHERE idbancocuenta='$idbancocuenta'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idbancocuenta){
	$sql="SELECT * FROM bancocuenta WHERE idbancocuenta='$idbancocuenta'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM bancocuenta";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function selectCuentabanco(){
	$sql="SELECT * FROM bancocuenta WHERE condicion=1";
	return ejecutarConsulta($sql);
}

public function selectCuentabancor(){
	$sql="SELECT *  FROM `bancocuenta` WHERE `idbancocuenta` IN (3,8,10,12,13)";
	return ejecutarConsulta($sql);
}

public function selectCuentabancot(){
	$sql="SELECT *  FROM `bancocuenta` WHERE `idbancocuenta` IN (8,10)";
	return ejecutarConsulta($sql);
}

public function selectCuentabancoe(){
	$sql="SELECT * FROM `bancocuenta` WHERE `idbancocuenta` IN (3,6)";
	return ejecutarConsulta($sql);
}

//listar y mostrar en selct
public function selectBanco(){
	$sql="SELECT * FROM bancos ORDER BY idbanco DESC";
	return ejecutarConsulta($sql);
}
}

 ?>
